pcl::face_detection::FeatureType Class Reference

`#include <pcl/recognition/face_detection/face_common.h>`

## Public Member Functions

| FeatureType ()
void | serialize (std::ostream &stream) const
void | deserialize (std::istream &stream)

## Public Attributes

int | row1_
int | col1_
int | row2_
int | col2_
int | wsizex1_
int | wsizey1_
int | wsizex2_
int | wsizey2_
float | threshold_
int | used_ii_

## Detailed Description

Definition at line 23 of file face_common.h.

## Constructor & Destructor Documentation

## FeatureType()

pcl::face_detection::FeatureType::FeatureType | ( |  | ) |

inline

Definition at line 35 of file face_common.h.

## Member Function Documentation

## deserialize()

void pcl::face_detection::FeatureType::deserialize | ( | std::istream & | stream | ) |

inline

Definition at line 54 of file face_common.h.

Referenced by pcl::face_detection::RFTreeNode< FeatureType >::deserialize().

## serialize()

void pcl::face_detection::FeatureType::serialize | ( | std::ostream & | stream | ) | const

inline

Definition at line 40 of file face_common.h.

Referenced by pcl::face_detection::RFTreeNode< FeatureType >::serialize().

## Member Data Documentation

## col1_

int pcl::face_detection::FeatureType::col1_

Definition at line 26 of file face_common.h.

## col2_

int pcl::face_detection::FeatureType::col2_

Definition at line 27 of file face_common.h.

## row1_

int pcl::face_detection::FeatureType::row1_

Definition at line 26 of file face_common.h.

## row2_

int pcl::face_detection::FeatureType::row2_

Definition at line 27 of file face_common.h.

## threshold_

float pcl::face_detection::FeatureType::threshold_

Definition at line 32 of file face_common.h.

## used_ii_

int pcl::face_detection::FeatureType::used_ii_

Definition at line 33 of file face_common.h.

## wsizex1_

int pcl::face_detection::FeatureType::wsizex1_

Definition at line 29 of file face_common.h.

## wsizex2_

int pcl::face_detection::FeatureType::wsizex2_

Definition at line 30 of file face_common.h.

## wsizey1_

int pcl::face_detection::FeatureType::wsizey1_

Definition at line 29 of file face_common.h.

## wsizey2_

int pcl::face_detection::FeatureType::wsizey2_

Definition at line 30 of file face_common.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/recognition/include/pcl/recognition/face_detection/face_common.h